Błąd w KDE

Strona główna Aktualności

O autorze

W KDE, jednym z najpopularniejszych menedżerów okien dostępnym pod Linuksa odkryto dość poważną lukę. Błąd tkwi w zintegrowanym w środowisku interpreterze języka JavaScript, używanym między innymi przez przeglądarkę WWW Konqueror. Podczas dekodowania źle skonstruowanego adresu URL zapisanego w formacie UTF-8 może dojść do błędu przepełnienia bufora i w rezultacie do uruchomienia złośliwego kodu.

Błąd dotyczy wersji od 3.2.0 do najnowszej - 3.5.0. Poprawka naprawiająca ten błąd została już opublikowana, ale zanim zostaną przygotowane zaktualizowane wersje dla poszczególnych dystrybucji, może minąć trochę czasu.

© dobreprogramy

Komentarze